// **************************************** //
// **           Data Creation            ** //
// **************************************** //

void createDataPoint(TableRow row, int counter){
  itemType = row.getString("itemType");
  checkOutCount = row.getInt("checkOutCount");
  adoption = row.getInt("x_adoption");
  age = row.getInt("x_age");
  relative_age = row.getInt("relative_age");
  fullFrequency = row.getFloat("y_fullFrequency");
  partialFrequency = row.getFloat("y_partialFrequency");
  publishOrder = row.getInt("publishOrder");
  
 // create new data point and add to dataPoints array
 dataPoints[counter] = new DataPoint(counter, itemType, checkOutCount, adoption, age, relative_age, fullFrequency, partialFrequency, publishOrder);
 
 // get min values
 if(age < min_age)                           {min_age = age;}
 if(relative_age < min_relative_age)         {min_relative_age = relative_age;}
 if(fullFrequency < min_fullFrequency)       {min_fullFrequency = fullFrequency;}
 if(partialFrequency < min_partialFrequency) {min_partialFrequency = partialFrequency;}
 if(publishOrder < min_publishOrder)         {min_publishOrder = publishOrder;}
 
 // get max values
 if(age > max_age)                           {max_age = age;}
 if(relative_age > max_relative_age)         {max_relative_age = relative_age;}
 if(fullFrequency > max_fullFrequency)       {max_fullFrequency = fullFrequency;}
 if(partialFrequency > max_partialFrequency) {max_partialFrequency = partialFrequency;}
 if(publishOrder > max_publishOrder)         {max_publishOrder = publishOrder;}
}


// **************************************** //
// **        Display Manipulation        ** //
// **************************************** //

// toggle 'x' variable
void checkXVariable(int i){
  if(x_variable == "age"){
    valX = dataPoints[i].age;
    start1_X = min_age;
    stop1_X = max_age;
    start2_X = margin;
    stop2_X = margin + (width - margin*2);
  }
  else if(x_variable == "relative_age"){
    valX = dataPoints[i].relative_age;
    start1_X = min_relative_age;
    stop1_X = max_relative_age;
    start2_X = margin;
    stop2_X = margin + (width - margin*2);
  }
}

// toggle 'y' variable
void checkYVariable(int i){
  if(y_variable == "full_frequency"){
    valY = dataPoints[i].fullFrequency;
    start1_Y = min_fullFrequency;
    stop1_Y = max_fullFrequency;
    start2_Y = (height - margin*2) + margin;
    stop2_Y = margin;
  }
  else if(y_variable == "partial_frequency"){
    valY = dataPoints[i].partialFrequency;
    start1_Y = min_partialFrequency;
    stop1_Y = max_partialFrequency;
    start2_Y = (height - margin*2) + margin;
    stop2_Y = margin;
  }
}